Subject: running pine non-interactively

From: Jim Harle <[email-masked]>
Date: Mon, 10 Mar 1997 14:00:32 -0500

I am trying to build a realistic test for when our system is running slow. 
Since pine accounts for about 75% of the system use, I thought a simple
pine run would be an excellent thing to time.  I attempted to use pine
(3.95) via -I from a perl script being run by cron from an account with 4
or more messages in its inbox. It produced the following mail:

  Your "cron" job

  /usr/local/bin/pine -I i,j,4,CR,v,q,y,CR

  produced the following output:

  Can't access terminal or input is not a terminal. Redirection of 
  standard input is not allowed. For example "pine < file" doesn't work.

Is there anyway to get around pine's strong desire to have a real tty?

  --Jim Harle, US Naval Academy